## Apache Zeta Components Manual :: Docs For Class ezcBaseFileNotFoundException

### Base::ezcBaseFileNotFoundException

### Class ezcBaseFileNotFoundException

ezcBaseFileNotFoundException is thrown when a file or directory was tried to be opened, but did not exist.

Source for this file: /Base/src/exceptions/file_not_found.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBaseFileException
             |
             --ezcBaseFileNotFoundException

Version: | //autogen//

### Inherited Constants

From ezcBaseFileException:
`ezcBaseFileException::CHANGE` |
`ezcBaseFileException::EXECUTE` |
`ezcBaseFileException::READ` |
`ezcBaseFileException::REMOVE` |
`ezcBaseFileException::WRITE` |

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcBaseFileNotFoundException | `__construct( $path , [ $type = null] , [ $message = null] )` Constructs a new ezcBaseFileNotFoundException.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcBaseFileNotFoundException __construct( string $path , [string $type = null] , [string $message = null] )

Constructs a new ezcBaseFileNotFoundException.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$path` | string | The name of the file.
`$type` | string | The type of the file.
`$message` | string | A string with extra information.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3